## neochat 25.08.3

=== src/messagecontent/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(MessageContent STATIC)
ecm_add_qml_module(MessageContent GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.messagecontent
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/messagecontent
    QML_FILES
        BaseMessageComponentChooser.qml
        MessageComponentChooser.qml
        ReplyMessageComponentChooser.qml
        AuthorComponent.qml
        AudioComponent.qml
        ChatBarComponent.qml
        CodeComponent.qml
        EncryptedComponent.qml
        FetchButtonComponent.qml
        FileComponent.qml
        ImageComponent.qml
        ItineraryComponent.qml
        ItineraryReservationComponent.qml
        JourneySectionStopDelegateLineSegment.qml
        TransportIcon.qml
        FoodReservationComponent.qml
        TrainReservationComponent.qml
        FlightReservationComponent.qml
        HotelReservationComponent.qml
        LinkPreviewComponent.qml
        LinkPreviewLoadComponent.qml
        LiveLocationComponent.qml
        LoadComponent.qml
        LocationComponent.qml
        MimeComponent.qml
        PdfPreviewComponent.qml
        PollComponent.qml
        QuoteComponent.qml
        ReactionComponent.qml
        ReplyAuthorComponent.qml
        ReplyButtonComponent.qml
        ReplyComponent.qml
        StateComponent.qml
        TextComponent.qml
        ThreadBodyComponent.qml
        VideoComponent.qml
    SOURCES
        contentprovider.cpp
        mediasizehelper.cpp
        pollhandler.cpp
        models/itinerarymodel.cpp
        models/linemodel.cpp
        models/messagecontentmodel.cpp
        models/pollanswermodel.cpp
        models/reactionmodel.cpp
        models/threadmodel.cpp
    RESOURCES
        images/bike.svg
        images/bus.svg
        images/cablecar.svg
        images/car.svg
        images/coach.svg
        images/couchettecar.svg
        images/elevator.svg
        images/escalator.svg
        images/ferry.svg
        images/flight.svg
        images/foodestablishment.svg
        images/funicular.svg
        images/longdistancetrain.svg
        images/rapidtransit.svg
        images/seat.svg
        images/shuttle.svg
        images/sleepingcar.svg
        images/stairs.svg
        images/subway.svg
        images/taxi.svg
        images/train.svg
        images/tramway.svg
        images/transfer.svg
        images/wait.svg
        images/walk.svg
    DEPENDENCIES
        QtQuick
)

configure_file(config-neochat.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-neochat.h)

ecm_qt_declare_logging_category(MessageContent
    HEADER "messagemodel_logging.h"
    IDENTIFIER "Message"
    CATEGORY_NAME "org.kde.neochat.messagemodel"
    DESCRIPTION "Neochat: messagemodel"
    DEFAULT_SEVERITY Info
    EXPORT NEOCHAT
)

target_include_directories(MessageContent PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(MessageContent PRIVATE
    Qt::Core
    Qt::Quick
    Qt::QuickControls2
    KF6::Kirigami
    LibNeoChat
)

if(NOT ANDROID)
    target_link_libraries(MessageContent PUBLIC KF6::SyntaxHighlighting)
endif()

=== debian/changelog ===
neochat (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:29:35 +0000

=== debian/control ===
Source: neochat
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               cmark,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kirigami-addons-dev (>= 1.3.0~),
               kquickimageeditor-dev,
               libcmark-dev,
               libicu-dev (>= 61.0~),
               libkf6config-dev (>= 6.0~),
               libkf6configwidgets-dev,
               libkf6coreaddons-dev (>= 6.0~),
               libkf6crash-dev (>= 6.0~),
               libkf6dbusaddons-dev (>= 6.0~),
               libkf6doctools-dev (>= 6.0~),
               libkf6i18n-dev (>= 6.0~),
               libkf6iconthemes-dev (>= 6.0~),
               libkf6itemmodels-dev (>= 6.0~),
               libkf6kio-dev (>= 6.0~),
               libkf6notifications-dev (>= 6.0~),
               libkf6purpose-dev (>= 6.0~),
               libkf6qqc2desktopstyle-dev (>= 6.0~),
               libkf6sonnet-dev (>= 6.0~),
               libkf6statusnotifieritem-dev (>= 6.0~),
               libkf6syntaxhighlighting-dev (>= 6.0~),
               libkf6windowsystem-dev (>= 6.0~),
               libkirigami-dev (>= 6.0.0~),
               libkunifiedpush-dev (>= 25.08.3~),
               libqt6sql6-sqlite <!nocheck>,
               libquotient-dev (>= 0.9.0~),
               qcoro-qt6-dev (>= 0.4~),
               qml6-module-org-kde-kquickimageeditor,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-prison,
               qml6-module-org-kde-purpose,
               qml6-module-org-kde-quickcharts,
               qml6-module-org-kde-syntaxhighlighting,
               qml6-module-qtcore,
               qml6-module-qtlocation,
               qml6-module-qtpositioning,
               qml6-module-qtquick-dialogs,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-httpserver-dev,
               qt6-multimedia-dev (>= 6.5~),
               qt6-speech-dev,
               qt6-svg-dev (>= 6.5~),
               qt6-webview-dev [amd64 arm64 armhf],
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
Homepage: https://apps.kde.org/neochat/
Rules-Requires-Root: no

Package: neochat
Architecture: any
Depends: ${qml6:Depends},
         qml6-module-qtwebview [amd64 arm64 armhf],
         qml6-module-qt-labs-animation,
         qt6-location-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Matrix client for desktop and mobile made by KDE
 A chat application for Matrix, a decentralized communication protocol, created
 by the KDE community. It allows one to send text messages, videos and audio
 files to your family, colleagues and  friends using the Matrix protocol.
 .
 It features an elegant and responsive user interface allows one to adapt to any
 screen size automatically and gracefully. It works on both Desktop and Mobile.

## neochat 25.08.3+p24.04+vunstable+git20251201.0327

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2021 Carl Schwan <carl@carlschwan.eu>
# SPDX-FileCopyrightText: 2020-2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2020-2021 Tobias Fella <tobias.fella@kde.org>
# SPDX-FileCopyrightText: 2021 Adriaan de Groot <groot@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "26")
set(RELEASE_SERVICE_VERSION_MINOR "03")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.17")
set(QT_MIN_VERSION "6.9")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(KDE_COMPILERSETTINGS_LEVEL 6.17)

include(FeatureSummary)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(ECMFindQmlModule)
include(KDECMakeSettings)
include(ECMAddTests)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)
include(ECMQtDeclareLoggingCategory)
include(ECMAddAndroidApk)
include(ECMQmlModule)
include(ECMDeprecationSettings)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
if (NOT ANDROID)
    include(KDEClangFormat)
endif()

set(QUOTIENT_FORCE_NAMESPACED_INCLUDES TRUE)

ecm_set_disabled_deprecation_versions(Qt 6.9.0 KF 6.17.0)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX NEOCHAT
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/neochat-version.h
)

find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Core Quick Gui QuickControls2 Multimedia Svg TextToSpeech WebView)
set_package_properties(Qt6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)

if (QT_KNOWN_POLICY_QTP0004)
qt_policy(SET QTP0004 NEW)
endif ()

find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Notifications Config CoreAddons Sonnet ItemModels ColorScheme)
set_package_properties(KF6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)
set_package_properties(KF6Kirigami PROPERTIES
    TYPE REQUIRED
    PURPOSE "Kirigami application UI framework"
)
find_package(KF6KirigamiAddons 1.10.0 REQUIRED)

if (UNIX AND NOT APPLE AND NOT ANDROID AND NOT NEOCHAT_FLATPAK AND NOT NEOCHAT_APPIMAGE)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Purpose)
endif ()

if(ANDROID)
    find_package(OpenSSL)
    set_package_properties(OpenSSL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Encrypted communications"
    )
else()
    find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS Widgets)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle KIO WindowSystem StatusNotifierItem)
    find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} REQUIRED)
    set_package_properties(KF6QQC2DesktopStyle PROPERTIES
        TYPE RUNTIME
    )
    ecm_find_qmlmodule(org.kde.syntaxhighlighting 1.0)

    find_package(ICU 61.0 COMPONENTS uc)
    set_package_properties(ICU PROPERTIES
        TYPE REQUIRED
        PURPOSE "Unicode library"
    )
endif()

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} REQUIRED)
endif()

find_package(QuotientQt6 0.9.3)
set_package_properties(QuotientQt6 PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Qt wrapper around Matrix API"
    URL "https://github.com/quotient-im/libQuotient/"
    PURPOSE "Talk with matrix server"
)

find_package(cmark)
set_package_properties(cmark PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Cmark is the common mark reference implementation"
    URL "https://github.com/commonmark/cmark"
    PURPOSE "Convert markdown to html"
)

ecm_find_qmlmodule(org.kde.kquickimageeditor 1.0)
ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
ecm_find_qmlmodule(org.kde.quickcharts 1.0)
ecm_find_qmlmodule(QtLocation)
ecm_find_qmlmodule(org.kde.prison)

find_package(KQuickImageEditor COMPONENTS)
set_package_properties(KQuickImageEditor PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Simple image editor for QtQuick applications"
    URL "https://invent.kde.org/libraries/kquickimageeditor/"
    PURPOSE "Add image editing capability to image attachments"
)

find_package(QCoro6 0.4 COMPONENTS Core Network REQUIRED)

qcoro_enable_coroutines()

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

option(WITH_UNIFIEDPUSH "Build with KUnifiedPush support" ON)

if (ANDROID OR APPLE OR WIN32 OR HAIKU)
    set(WITH_UNIFIEDPUSH OFF)
endif()

if (WITH_UNIFIEDPUSH)
    find_package(KUnifiedPush)
    set_package_properties(KUnifiedPush PROPERTIES
        TYPE REQUIRED
        PURPOSE "Push notification support"
        URL "https://invent.kde.org/libraries/kunifiedpush"
    )
endif()

if(ANDROID)
    find_package(Sqlite3)
    set(BUILD_TESTING FALSE)
endif()

ki18n_install(po)

install(FILES org.kde.neochat.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.neochat.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.neochat.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
install(FILES org.kde.neochat.tray.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

add_definitions(-DQT_NO_FOREACH)

add_subdirectory(src)

if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Test HttpServer)
    add_subdirectory(autotests)
    # add_subdirectory(appiumtests)
    if (NOT ANDROID)
        add_subdirectory(memorytests)
    endif()
endif()

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (NOT ANDROID)
    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
# CI installs dependency headers to _install and _build, which break the reuse check
# Fixes the test by excluding this directory
list(FILTER ALL_SOURCE_FILES EXCLUDE REGEX [[_(install|build)/.*]])
ecm_check_outbound_license(LICENSES GPL-3.0-only FILES ${ALL_SOURCE_FILES})

ecm_qt_install_logging_categories(
        EXPORT NEOCHAT
        FILE neochat.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

## neochat 25.08.3+p24.04+vunstable+git20251206.0802

=== debian/changelog ===
neochat (25.08.3+p24.04+vunstable+git20251206.0802-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:02:12 +0000

neochat (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:05 +1000

## neochat 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})
@@ -46,6 +46,10 @@
     include(KDEClangFormat)
 endif()
 
+if(NEOCHAT_FLATPAK)
+    include(cmake/Flatpak.cmake)
+endif()
+
 set(QUOTIENT_FORCE_NAMESPACED_INCLUDES TRUE)
 
 ecm_set_disabled_deprecation_versions(Qt 6.9.0 KF 6.17.0)
@@ -65,7 +69,7 @@
 qt_policy(SET QTP0004 NEW)
 endif ()
 
-find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Notifications Config CoreAddons Sonnet ItemModels ColorScheme)
+find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Notifications Config CoreAddons Sonnet ItemModels IconThemes ColorScheme)
 set_package_properties(KF6 PROPERTIES
     TYPE REQUIRED
     PURPOSE "Basic application components"
@@ -88,7 +92,7 @@
     )
 else()
     find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS Widgets)
-    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle KIO WindowSystem StatusNotifierItem)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle KIO WindowSystem StatusNotifierItem Crash)
     find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} REQUIRED)
     set_package_properties(KF6QQC2DesktopStyle PROPERTIES
         TYPE RUNTIME

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

enable_testing()

add_library(neochat_server STATIC server.cpp)

target_link_libraries(neochat_server PUBLIC Qt::HttpServer QuotientQt6)

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )

ecm_add_test(
    neochatroomtest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME neochatroomtest
)

ecm_add_test(
    texthandlertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME texthandlertest
)

ecm_add_test(
    delegatesizehelpertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME delegatesizehelpertest
)

ecm_add_test(
    mediasizehelpertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME mediasizehelpertest
)

ecm_add_test(
    eventhandlertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME eventhandlertest
)

ecm_add_test(
    chatbarcachetest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME chatbarcachetest
)

ecm_add_test(
    chatdocumenthandlertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME chatdocumenthandlertest
)

ecm_add_test(
    timelinemessagemodeltest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME timelinemessagemodeltest
)

ecm_add_test(
    windowcontrollertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME windowcontrollertest
)

ecm_add_test(
    pollhandlertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME pollhandlertest
)

ecm_add_test(
    reactionmodeltest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME reactionmodeltest
)

ecm_add_test(
    linkpreviewertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME linkpreviewertest
)

ecm_add_test(
    messagecontentmodeltest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME messagecontentmodeltest
)

ecm_add_test(
    actionstest.cpp
    LINK_LIBRARIES neochat Qt::Test neochat_server
    TEST_NAME actionstest
)

ecm_add_test(
    servernoticestest.cpp
    LINK_LIBRARIES neochat Qt::Test neochat_server
    TEST_NAME servernoticestest
)

ecm_add_test(
    roommanagertest.cpp
    LINK_LIBRARIES neochat Qt::Test neochat_server
    TEST_NAME roommanagertest
)

=== memorytests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}" )

qt_add_executable(timeline_memtest
    main.cpp
)

target_link_libraries(timeline_memtest PRIVATE neochatplugin Timelineplugin)
target_link_libraries(timeline_memtest PUBLIC
    Qt::Core
    Qt::Quick
    Qt::Qml
    Qt::Gui
    Qt::QuickControls2
    Qt::Widgets
    KF6::I18nQml
    QuotientQt6
    LibNeoChat
    Timeline
)

ecm_add_qml_module(timeline_memtest URI org.kde.neochat.timeline_memtest GENERATE_PLUGIN_SOURCE
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/timeline_memtest
    QML_FILES
        Main.qml
    SOURCES
        memtesttimelinemodel.cpp
        memtesttimelinemodel.h
    DEPENDENCIES
        QtCore
        QtQuick
    IMPORTS
        org.kde.neochat.timeline
)

=== src/app/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2021 Carl Schwan <carl@carlschwan.eu>
# SPDX-FileCopyrightText: 2020-2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2020-2021 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(neochat STATIC
    controller.cpp
    controller.h
    roommanager.cpp
    roommanager.h
    models/userdirectorylistmodel.cpp
    models/userdirectorylistmodel.h
    notificationsmanager.cpp
    notificationsmanager.h
    blurhash.cpp
    blurhash.h
    blurhashimageprovider.cpp
    blurhashimageprovider.h
    windowcontroller.cpp
    windowcontroller.h
    models/serverlistmodel.cpp
    models/serverlistmodel.h
    models/notificationsmodel.cpp
    models/notificationsmodel.h
    proxycontroller.cpp
    proxycontroller.h
    mediamanager.cpp
    mediamanager.h
    sharehandler.cpp
    sharehandler.h
    foreigntypes.h
    identityserverhelper.cpp
    identityserverhelper.h
    models/commonroomsmodel.cpp
    models/commonroomsmodel.h
    texttospeechhelper.h
    texttospeechhelper.cpp
)

set_source_files_properties(qml/OsmLocationPlugin.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

if(ANDROID OR WIN32)
    set_source_files_properties(qml/ShareActionStub.qml PROPERTIES
        QT_QML_SOURCE_TYPENAME ShareAction
    )
    set_source_files_properties(qml/GlobalMenuStub.qml PROPERTIES
            QT_QML_SOURCE_TYPENAME GlobalMenu
    )
else()
    set(EXTRA_IMPORTS org.kde.purpose)
endif()

ecm_add_qml_module(neochat URI org.kde.neochat GENERATE_PLUGIN_SOURCE
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat
    QML_FILES
        qml/Main.qml
        qml/AccountMenu.qml
        qml/CollapsedRoomDelegate.qml
        qml/RoomPage.qml
        qml/ManualRoomDialog.qml
        qml/ExplorerDelegate.qml
        qml/NeochatMaximizeComponent.qml
        qml/QuickSwitcher.qml
        qml/AttachmentPane.qml
        qml/QuickFormatBar.qml
        qml/UserDetailDialog.qml
        qml/OpenFileDialog.qml
        qml/KeyVerificationDialog.qml
        qml/ConfirmLogoutDialog.qml
        qml/VerificationMessage.qml
        qml/EmojiItem.qml
        qml/EmojiRow.qml
        qml/EmojiSas.qml
        qml/VerificationCanceled.qml
        qml/MessageSourceSheet.qml
        qml/LocationChooser.qml
        qml/InvitationView.qml
        qml/AvatarTabButton.qml
        qml/OsmLocationPlugin.qml
        qml/FullScreenMap.qml
        qml/ChooseRoomDialog.qml
        qml/QrCodeMaximizeComponent.qml
        qml/NotificationsView.qml
        qml/ServerComboBox.qml
        qml/UserSearchPage.qml
        qml/ManualUserDialog.qml
        qml/RecommendedSpaceDialog.qml
        qml/ShareDialog.qml
        qml/UnlockSSSSDialog.qml
        qml/QrScannerPage.qml
        qml/JoinRoomDialog.qml
        qml/ConfirmUrlDialog.qml
        qml/AccountSwitchDialog.qml
        qml/ConfirmLeaveDialog.qml
        qml/CodeMaximizeComponent.qml
        qml/EditStateDialog.qml
        qml/ConsentDialog.qml
        qml/AskDirectChatConfirmation.qml
        qml/HoverLinkIndicator.qml
        qml/AvatarNotification.qml
        qml/ReasonDialog.qml
        qml/NewPollDialog.qml
        qml/UserMenu.qml
        qml/MeetingDialog.qml
    DEPENDENCIES
        QtCore
        QtQuick
        io.github.quotient_im.libquotient
    IMPORTS
        org.kde.neochat.libneochat
        org.kde.neochat.rooms
        org.kde.neochat.roominfo
        org.kde.neochat.messagecontent
        org.kde.neochat.timeline
        org.kde.neochat.spaces
        org.kde.neochat.settings
        org.kde.neochat.devtools
        org.kde.neochat.login
        org.kde.neochat.chatbar
        org.kde.config
        org.kde.syntaxhighlighting
        ${EXTRA_IMPORTS}
)

if(NOT ANDROID AND NOT WIN32)
    qt_target_qml_sources(neochat QML_FILES
        qml/ShareAction.qml
        qml/GlobalMenu.qml
    )
else()
    qt_target_qml_sources(neochat QML_FILES
            qml/ShareActionStub.qml
            qml/GlobalMenuStub.qml
    )
endif()

if(WIN32)
    set_target_properties(neochat PROPERTIES OUTPUT_NAME "neochatlib")
endif()

add_executable(neochat-app
    main.cpp
)

if(TARGET Qt::WebView)
    target_link_libraries(neochat-app PUBLIC Qt::WebView)
    target_compile_definitions(neochat-app PUBLIC -DHAVE_WEBVIEW)
endif()

target_include_directories(neochat-app PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(neochat-app PRIVATE
    neochat
)

ecm_add_app_icon(NEOCHAT_ICON ICONS ${CMAKE_SOURCE_DIR}/128-logo.png)

target_sources(neochat-app PRIVATE ${NEOCHAT_ICON})

if(NOT ANDROID)
    if (NOT WIN32 AND NOT APPLE)
        target_sources(neochat PRIVATE trayicon_sni.cpp trayicon_sni.h)
        target_link_libraries(neochat PRIVATE KF6::StatusNotifierItem)
    else()
        target_sources(neochat PRIVATE trayicon.cpp trayicon.h)
    endif()
    target_link_libraries(neochat PUBLIC KF6::WindowSystem)
    target_compile_definitions(neochat PUBLIC -DHAVE_WINDOWSYSTEM)
endif()

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    target_compile_definitions(neochat PUBLIC -DHAVE_RUNNER)
    target_compile_definitions(neochat PUBLIC -DHAVE_X11=1)
    target_sources(neochat PRIVATE runner.cpp)

    if (TARGET KUnifiedPush)
        target_sources(neochat PRIVATE fakerunner.cpp)
    endif()
else()
    target_compile_definitions(neochat PUBLIC -DHAVE_X11=0)
endif()

target_include_directories(neochat PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(neochat PRIVATE Loginplugin Roomsplugin RoomInfoplugin MessageContentplugin Timelineplugin Spacesplugin Chatbarplugin Settingsplugin Devtoolsplugin)
target_link_libraries(neochat PUBLIC
    LibNeoChat
    Timeline
    Settings
    Qt::Core
    Qt::Quick
    Qt::Qml
    Qt::Gui
    Qt::Multimedia
    Qt::Network
    Qt::QuickControls2
    Qt::TextToSpeech
    KF6::I18n
    KF6::Kirigami
    KF6::Notifications
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::SonnetCore
    KF6::IconThemes
    KF6::ItemModels
    KF6::I18nQml
    KirigamiApp
    QuotientQt6
    Login
    Rooms
    MessageContent
    Spaces
)

if (TARGET KF6::Crash)
    target_link_libraries(neochat PUBLIC KF6::Crash)
endif()

kconfig_target_kcfg_file(neochat FILE neochatconfig.kcfg CLASS_NAME NeoChatConfig MUTATORS GENERATE_PROPERTIES DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR SINGLETON GENERATE_MOC QML_REGISTRATION)

if(NEOCHAT_FLATPAK)
    target_compile_definitions(neochat PUBLIC NEOCHAT_FLATPAK)
endif()

if(ANDROID)
    target_sources(neochat PRIVATE notifyrc.qrc)
    target_link_libraries(neochat PRIVATE Qt::Svg OpenSSL::SSL)
    if(SQLite3_FOUND)
        target_link_libraries(neochat-app PRIVATE SQLite::SQLite3)
    endif()
    target_sources(neochat-app PRIVATE notifyrc.qrc)
    target_link_libraries(neochat PUBLIC Qt::Svg OpenSSL::SSL)
    kirigami_package_breeze_icons(ICONS
        "arrow-down-symbolic"
        "arrow-up-symbolic"
        "arrow-up-double-symbolic"
        "arrow-left-symbolic"
        "arrow-right-symbolic"
        "checkmark"
        "help-about"
        "im-user"
        "im-invisible-user"
        "im-kick-user"
        "mail-attachment"
        "dialog-cancel"
        "preferences-desktop-emoticons"
        "preferences-security"
        "document-open"
        "document-save"
        "document-send"
        "dialog-close"
        "edit-delete-remove"
        "code-context"
        "document-edit"
        "list-user-add"
        "list-add-user"
        "user-others"
        "media-playback-pause"
        "media-playback-start"
        "media-playback-stop"
        "go-previous"
        "go-up"
        "go-down"
        "list-add"
        "irc-join-channel"
        "settings-configure"
        "configure"
        "rating"
        "rating-unrated"
        "search"
        "mail-replied-symbolic"
        "edit-clear"
        "edit-copy"
        "gtk-quit"
        "compass"
        "computer"
        "network-connect"
        "list-remove-user"
        "org.kde.neochat"
        "org.kde.neochat.tray"
        "preferences-system-users"
        "preferences-desktop-theme-global"
        "notifications"
        "notifications-disabled"
        "audio-volume-high"
        "audio-volume-muted"
        "draw-highlight"
        "zoom-in"
        "zoom-out"
        "image-rotate-left-symbolic"
        "image-rotate-right-symbolic"
        "channel-secure-symbolic"
        "download"
        "smiley"
        "tools-check-spelling"
        "username-copy"
        "system-switch-user"
        "bookmark-new"
        "bookmark-remove"
        "favorite"
        "window-new"
        "globe"
        "visibility"
        "home"
        "preferences-desktop-notification"
        "computer-symbolic"
        "gps"
        "system-users-symbolic"
        "map-flat"
        "documentinfo"
        "view-list-details"
        "go-previous"
        "mail-forward-symbolic"
        "dialog-warning-symbolic"
        "object-rotate-left"
        "object-rotate-right"
        "add-subtitle"
        "security-high"
        "security-low"
        "security-low-symbolic"
        "kde"
        "list-remove-symbolic"
        "edit-delete"
        "user-home-symbolic"
        "pin-symbolic"
        "kt-restore-defaults-symbolic"
        "user-symbolic"
        "mark-location-symbolic"
        "amarok_playcount"

        ${KIRIGAMI_ADDONS_ICONS}
    )
    ecm_add_android_apk(neochat-app ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
else()
    target_link_libraries(neochat PUBLIC Qt::Widgets KF6::KIOWidgets)
    install(FILES neochat.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
endif()

if(NOT ANDROID)
    set_target_properties(neochat-app PROPERTIES OUTPUT_NAME "neochat")
endif()

if(TARGET KF6::DBusAddons AND NOT WIN32)
    target_link_libraries(neochat PUBLIC KF6::DBusAddons)
    target_compile_definitions(neochat PUBLIC -DHAVE_KDBUSADDONS)
endif()

if (TARGET KUnifiedPush)
    if (NOT ANDROID)
        configure_file(org.kde.neochat.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.neochat.service)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.neochat.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
    endif()
endif()

install(TARGETS neochat-app ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
    install(FILES plasma-runner-neochat.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins)
endif()

if (APPLE)
    set_target_properties(neochat-app PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.neochat")
    set_target_properties(neochat-app PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "NeoChat")
    set_target_properties(neochat-app PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING ${RELEASE_SERVICE_VERSION})
    set_target_properties(neochat-app PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION ${RELEASE_SERVICE_VERSION})
endif ()

=== src/devtools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(Devtools STATIC)
ecm_add_qml_module(Devtools GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.devtools
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/devtools
    QML_FILES
        DevtoolsPage.qml
        AccountData.qml
        DebugOptions.qml
        FeatureFlagPage.qml
        RoomData.qml
        ServerData.qml
        StateKeys.qml
    SOURCES
        models/statefiltermodel.cpp
        models/statekeysmodel.cpp
        models/statemodel.cpp
    DEPENDENCIES
        QtCore
)

target_include_directories(Devtools PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(Devtools PRIVATE
    Qt::Core
    LibNeoChat
)

=== src/libneochat/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(LibNeoChat STATIC)

target_sources(LibNeoChat PRIVATE
    neochatconnection.cpp
    neochatroom.cpp
    neochatroommember.cpp
    accountmanager.cpp
    chatbarcache.cpp
    chatdocumenthandler.cpp
    clipboard.cpp
    delegatesizehelper.cpp
    emojitones.cpp
    eventhandler.cpp
    filetransferpseudojob.cpp
    filetype.cpp
    linkpreviewer.cpp
    roomlastmessageprovider.cpp
    spacehierarchycache.cpp
    texthandler.cpp
    urlhelper.cpp
    utils.cpp
    enums/chatbartype.h
    enums/messagecomponenttype.h
    enums/messagetype.h
    enums/powerlevel.cpp
    enums/pushrule.h
    enums/roomsortparameter.cpp
    enums/roomsortorder.h
    enums/timelinemarkreadcondition.h
    events/imagepackevent.cpp
    events/pollevent.cpp
    jobs/neochatgetcommonroomsjob.cpp
    models/actionsmodel.cpp
    models/completionmodel.cpp
    models/completionproxymodel.cpp
    models/customemojimodel.cpp
    models/emojimodel.cpp
    models/imagepacksmodel.cpp
    models/livelocationsmodel.cpp
    models/locationsmodel.cpp
    models/roomlistmodel.cpp
    models/stickermodel.cpp
    models/userfiltermodel.cpp
    models/userlistmodel.cpp
    models/widgetmodel.cpp
    models/widgetmodel.h
)

if (TARGET KF6::KIOWidgets)
    target_compile_definitions(LibNeoChat PUBLIC -DHAVE_KIO)
endif()

ecm_add_qml_module(LibNeoChat GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.libneochat
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/libneochat
    QML_FILES
        qml/GroupChatDrawerHeader.qml
        qml/LocationMapItem.qml
        qml/InviteUserPage.qml
        qml/ExploreRoomsPage.qml
        qml/SearchPage.qml
        qml/CreateRoomDialog.qml
        qml/CreateSpaceDialog.qml
    DEPENDENCIES
        io.github.quotient_im.libquotient
)

ecm_qt_declare_logging_category(LibNeoChat
    HEADER "general_logging.h"
    IDENTIFIER "GENERAL"
    CATEGORY_NAME "org.kde.neochat"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(LibNeoChat
    HEADER "eventhandler_logging.h"
    IDENTIFIER "EventHandling"
    CATEGORY_NAME "org.kde.neochat.eventhandler"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(LibNeoChat
    HEADER "chatdocumenthandler_logging.h"
    IDENTIFIER "ChatDocumentHandling"
    CATEGORY_NAME "org.kde.neochat.chatdocumenthandler"
    DEFAULT_SEVERITY Info
)

generate_export_header(LibNeoChat BASE_NAME LibNeoChat)
target_include_directories(LibNeoChat PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/enums ${CMAKE_CURRENT_SOURCE_DIR}/events ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(LibNeoChat PUBLIC
    Qt::Core
    Qt::Multimedia
    Qt::Quick
    Qt::QuickControls2
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::I18n
    KF6::Kirigami
    KF6::SonnetCore
    QuotientQt6
    cmark::cmark
    QCoro::Core
    QCoro::Network
)

if(NOT ANDROID)
    target_link_libraries(LibNeoChat PUBLIC
        KF6::KIOWidgets
        ICU::uc
    )
    target_compile_definitions(LibNeoChat PUBLIC -DHAVE_ICU)
endif()

if (TARGET KUnifiedPush)
    target_compile_definitions(LibNeoChat PUBLIC -DHAVE_KUNIFIEDPUSH)
    target_link_libraries(LibNeoChat PUBLIC KUnifiedPush)
endif()

=== src/messagecontent/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
         models/pollanswermodel.cpp
         models/reactionmodel.cpp
         models/threadmodel.cpp
+        models/eventmessagecontentmodel.cpp
     RESOURCES
         images/bike.svg
         images/bus.svg

=== src/roominfo/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(RoomInfo STATIC)
ecm_add_qml_module(RoomInfo GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.roominfo
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/roominfo
    QML_FILES
        RoomDrawer.qml
        RoomDrawerPage.qml
        RoomInformation.qml
        RoomMedia.qml
        DirectChatDrawerHeader.qml
        LocationsPage.qml
        RoomPinnedMessagesPage.qml
        RoomSearchPage.qml
        WidgetsPage.qml
    SOURCES
        locationhelper.cpp
)

target_link_libraries(RoomInfo PRIVATE
    Qt::Core
)

=== src/settings/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(Settings STATIC)

set_source_files_properties(
    RoomSettingsView.qml
    NeoChatSettingsView.qml
    PROPERTIES
        QT_QML_SINGLETON_TYPE TRUE
)

ecm_add_qml_module(Settings GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.settings
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/settings
    QML_FILES
        NeoChatSettingsView.qml
        RoomSettingsView.qml
        AccountsPage.qml
        AccountEditorPage.qml
        AppearanceSettingsPage.qml
        DevicesPage.qml
        EmoticonsPage.qml
        EmoticonEditorPage.qml
        GlobalNotificationsPage.qml
        NeoChatGeneralPage.qml
        NeoChatSecurityPage.qml
        NetworkProxyPage.qml
        Permissions.qml
        PushNotification.qml
        RoomGeneralPage.qml
        RoomSecurityPage.qml
        ColorScheme.qml
        ConfirmDeactivateAccountDialog.qml
        ConfirmEncryptionDialog.qml
        DevicesCard.qml
        DeviceDelegate.qml
        EmoticonFormCard.qml
        IdentityServerDelegate.qml
        IgnoredUsersDialog.qml
        NotificationRuleItem.qml
        PasswordSheet.qml
        PowerLevelDialog.qml
        SelectParentDialog.qml
        SelectSpacesDialog.qml
        ThemeRadioButton.qml
        ThreePIdCard.qml
        ImportKeysDialog.qml
        ExportKeysDialog.qml
        RoomSortParameterDialog.qml
        RoomProfile.qml
        RoomAdvancedPage.qml
        KeyboardShortcutsPage.qml
    SOURCES
        colorschemer.cpp
        threepidaddhelper.cpp
        threepidbindhelper.cpp
        models/accountemoticonmodel.cpp
        models/devicesmodel.cpp
        models/devicesproxymodel.cpp
        models/emoticonfiltermodel.cpp
        models/permissionsmodel.cpp
        models/pushrulemodel.cpp
        models/roomsortparametermodel.cpp
        models/threepidmodel.cpp
    DEPENDENCIES
        QtCore
        io.github.quotient_im.libquotient
        org.kde.neochat.libneochat
)


target_include_directories(Settings PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(Settings PRIVATE
    KF6::ColorScheme
    KF6::I18n
    QuotientQt6
    LibNeoChat
)

=== src/timeline/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(Timeline STATIC)
ecm_add_qml_module(Timeline GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.timeline
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/timeline
    QML_FILES
        TimelineView.qml
        EventDelegate.qml
        HiddenDelegate.qml
        MessageDelegate.qml
        LoadingDelegate.qml
        PredecessorDelegate.qml
        ReadMarkerDelegate.qml
        SpacerDelegate.qml
        StateDelegate.qml
        SuccessorDelegate.qml
        TimelineEndDelegate.qml
        Bubble.qml
        AvatarFlow.qml
        QuickActions.qml
        TypingPane.qml
        DelegateContextMenu.qml
    SOURCES
        messageattached.cpp
        messagedelegate.cpp
        timelinedelegate.cpp
        enums/delegatetype.h
        models/mediamessagefiltermodel.cpp
        models/messagecontentfiltermodel.cpp
        models/messagefiltermodel.cpp
        models/messagemodel.cpp
        models/pinnedmessagemodel.cpp
        models/readmarkermodel.cpp
        models/searchmodel.cpp
        models/timelinemessagemodel.cpp
        models/timelinemodel.cpp
        models/webshortcutmodel.cpp
    DEPENDENCIES
        QtQuick
)

target_include_directories(Timeline PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/enums ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(Timeline PRIVATE
    Qt::Core
    Qt::Quick
    Qt::QuickControls2
    KF6::Kirigami
    LibNeoChat
    MessageContent
)

=== debian/changelog ===
neochat (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:03:19 +0000

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf6syntaxhighlighting-dev (>= 6.0~),
                libkf6windowsystem-dev (>= 6.0~),
                libkirigami-dev (>= 6.0.0~),
-               libkunifiedpush-dev (>= 25.08.3~),
+               libkunifiedpush-dev (>= 25.11.80~),
                libqt6sql6-sqlite <!nocheck>,
                libquotient-dev (>= 0.9.0~),
                qcoro-qt6-dev (>= 0.4~),

## neochat 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})
@@ -69,7 +69,7 @@
 qt_policy(SET QTP0004 NEW)
 endif ()
 
-find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Notifications Config CoreAddons Sonnet ItemModels IconThemes ColorScheme)
+find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Notifications Config CoreAddons Sonnet ItemModels ColorScheme)
 set_package_properties(KF6 PROPERTIES
     TYPE REQUIRED
     PURPOSE "Basic application components"
@@ -92,7 +92,7 @@
     )
 else()
     find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS Widgets)
-    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle KIO WindowSystem StatusNotifierItem Crash)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle KIO WindowSystem StatusNotifierItem)
     find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} REQUIRED)
     set_package_properties(KF6QQC2DesktopStyle PROPERTIES
         TYPE RUNTIME

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -203,7 +203,6 @@
     KF6::ConfigGui
     KF6::CoreAddons
     KF6::SonnetCore
-    KF6::IconThemes
     KF6::ItemModels
     KF6::I18nQml
     KirigamiApp
@@ -213,10 +212,6 @@
     MessageContent
     Spaces
 )
-
-if (TARGET KF6::Crash)
-    target_link_libraries(neochat PUBLIC KF6::Crash)
-endif()
 
 kconfig_target_kcfg_file(neochat FILE neochatconfig.kcfg CLASS_NAME NeoChatConfig MUTATORS GENERATE_PROPERTIES DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR SINGLETON GENERATE_MOC QML_REGISTRATION)

=== debian/changelog ===
neochat (25.11.90-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Dec 2025 14:37:16 +0100

neochat (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:17:47 +0000

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf6syntaxhighlighting-dev (>= 6.0~),
                libkf6windowsystem-dev (>= 6.0~),
                libkirigami-dev (>= 6.0.0~),
-               libkunifiedpush-dev (>= 25.11.80~),
+               libkunifiedpush-dev (>= 25.11.90~),
                libqt6sql6-sqlite <!nocheck>,
                libquotient-dev (>= 0.9.0~),
                qcoro-qt6-dev (>= 0.4~),

## neochat 25.12.0

=== debian/changelog ===
neochat (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:37:51 +0000

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf6syntaxhighlighting-dev (>= 6.0~),
                libkf6windowsystem-dev (>= 6.0~),
                libkirigami-dev (>= 6.0.0~),
-               libkunifiedpush-dev (>= 25.11.90~),
+               libkunifiedpush-dev (>= 25.12.0~),
                libqt6sql6-sqlite <!nocheck>,
                libquotient-dev (>= 0.9.0~),
                qcoro-qt6-dev (>= 0.4~),

## neochat 25.12.0+p24.04+vunstable+git20251208.1828

=== src/libneochat/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,8 @@
     events/imagepackevent.cpp
     events/pollevent.cpp
     jobs/neochatgetcommonroomsjob.cpp
+    jobs/neochatreportroomjob.cpp
+    jobs/neochatreportuserjob.cpp
     models/actionsmodel.cpp
     models/completionmodel.cpp
     models/completionproxymodel.cpp

=== debian/changelog ===
neochat (25.12.0+p24.04+vunstable+git20251208.1828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 18:28:28 +0000

neochat (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:53 +1000

## neochat 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})
@@ -69,7 +69,7 @@
 qt_policy(SET QTP0004 NEW)
 endif ()
 
-find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Notifications Config CoreAddons Sonnet ItemModels ColorScheme)
+find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Notifications Config CoreAddons Sonnet ItemModels ColorScheme IconThemes)
 set_package_properties(KF6 PROPERTIES
     TYPE REQUIRED
     PURPOSE "Basic application components"

=== debian/changelog ===
neochat (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:18:28 +0000

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf6syntaxhighlighting-dev (>= 6.0~),
                libkf6windowsystem-dev (>= 6.0~),
                libkirigami-dev (>= 6.0.0~),
-               libkunifiedpush-dev (>= 25.12.0~),
+               libkunifiedpush-dev (>= 25.12.1~),
                libqt6sql6-sqlite <!nocheck>,
                libquotient-dev (>= 0.9.0~),
                qcoro-qt6-dev (>= 0.4~),

## neochat 25.12.1+p24.04+vstable+git20260106.1831

=== debian/changelog ===
neochat (25.12.1+p24.04+vstable+git20260106.1831-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 18:31:33 +0000

neochat (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:20 +1000

## neochat 25.12.1+p24.04+vstable+git20260201.0249

=== debian/changelog ===
neochat (25.12.1+p24.04+vstable+git20260201.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:49:54 +0000

## neochat 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -153,6 +153,7 @@
 
 target_link_libraries(neochat-app PRIVATE
     neochat
+    KF6::IconThemes
 )
 
 ecm_add_app_icon(NEOCHAT_ICON ICONS ${CMAKE_SOURCE_DIR}/128-logo.png)
@@ -352,7 +353,8 @@
 install(TARGETS neochat-app ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
 if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
-    install(FILES plasma-runner-neochat.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins)
+    # krunner plugin must be the same as the app id for flatpak to export it
+    install(FILES plasma-runner-neochat.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins RENAME org.kde.neochat.desktop)
 endif()
 
 if (APPLE)

=== debian/changelog ===
neochat (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:32:14 +0000

neochat (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:53:56 +0000

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf6syntaxhighlighting-dev (>= 6.0~),
                libkf6windowsystem-dev (>= 6.0~),
                libkirigami-dev (>= 6.0.0~),
-               libkunifiedpush-dev (>= 25.12.1~),
+               libkunifiedpush-dev (>= 25.12.2~),
                libqt6sql6-sqlite <!nocheck>,
                libquotient-dev (>= 0.9.0~),
                qcoro-qt6-dev (>= 0.4~),

## neochat 25.12.2+p24.04+vstable+git20260218.0333

=== debian/changelog ===
neochat (25.12.2+p24.04+vstable+git20260218.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 03:33:29 +0000

neochat (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 07:11:50 +0000
